searchData={"items":[{"type":"module","title":"OffBroadwayPgmq","doc":"Pgmq producer for broadway, adapted from BroadwaySQS\n\nThe producer receives 4 options:\n- `:repo`: the ecto repo to be used, mandatory.\n- `:dynamic_repo`: dynamic repo to be used, optional.\n- `:queue`: the queue name to be used, mandatory.\n- `:visibility_timeout`: the time the messages will be unavailable in the queue\nafter being read. Required\n- `:max_poll_seconds`: how long the maximum poll request takes, optional, defaults\nto 5 seconds.\n- `:attempt_interval_ms`: interval in ms to wait before doing poll requests in\ncase there is demand but no messages are found. Optional, defaults to 500\n- `:pgmq_poll_interval_ms`: option on pgmq side that dictates poll interval\npostgres-side. Optional, defaults to 250.\n\nIf you're using many queues, this can be a bit heavy in your connection pool,\nso its important to configure properly. You might want to adjust `max_poll_seconds`\nand `:attempt_interval_ms` to trade off connection usage for more latency. You can\nalso use a `:max_poll_seconds` of 0 to perform no polling at all.\n\n`:pgmq_poll_interval_ms` is the database side poll interval. By adjusting it,\nyou can increase or decrease the amount of work performed database side at\nthe risk of getting more latency.","ref":"OffBroadwayPgmq.html"}],"content_type":"text/markdown"}